Packages - Bug #3436

Repos out of sync with upstream for x86_64 and armv7h since about 2023-01-27
2023-01-28 12:24 PM - grizzlyuser

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Very similar to recent issue https:/labs.parabola.nu/issues/3374, also reproducible for armv7h

e steps to reproduce:
1) open https://www.parabola.nu/packages/?sort=-last _update&arch=x86_64&g=&maintainer=&flagged=
2) compare with https://archlinux.org/packages/?sort=-last_update
3) Remove all servers except the following from /etc/pacman.d/mirrorlist to keep only the main repo and exclude all the mirrors
Server = https://repo.parabola.nu/$repo/os/$arch
4) # pacman -Syy
5) pacman -Ss networkmanager

e expected result:
Step 2: maximum 1 day lag between Parabola repos and upstream repos, all upstream updates except blacklisted ones are
available in Parabola
Step 5: extra/networkmanager 1.40.12-1 (or newer) is in the output since it was updated upstream on 2023-01-26

e actual result:
Step 2: it looks like Parabola repos stopped syncing correctly since 2023-01-27, because no updated packages are visible since
then, while upstream has dozens (hundreds?) at the same time.
Step 5: extra/networkmanager 1.40.10-1 is in the output

History

#1 - 2023-01-28 06:28 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to confirmed

#2 - 2023-01-29 01:12 PM - bill-auger

- Status changed from confirmed to fixed

good eye - this happens every few months or so - it is simple to fix - someone just needs to notice when it happens - all repos are up-to-date now
